(in-package :cad-cam-link-customization)
(use-package :oli)
(sd-create-logical-table "mach_adv_library-counterbored_throughhole-hole_dia-table"
 :columns     '(:description  :hole_dia	:hole_dia_tol       :sink_dia_prop    :sink_depth_prop)
 :columnNames `(
   		"Description"
                "Hole Diameter"
		"Hole Diameter Tolerance"
		"Sink Diameter"
		"Sink Depth"
		)
 :types       '(:string     :length	:list    :list       :list)
 :units       '(nil         :mm         nil	 nil	     nil)
 :contents   '(
              (
		"K m 3"	
		3.4
		(          :tol_type :iso :iso "H13")
		(:value 6 :tol_type :iso :iso "H13")
		(:value 3.4  :tol_type :upper_lower :lower_tol 0.0 :upper_tol 0.4)
		 )
		 (
		"K m 4"	
		4.5
		(          :tol_type :iso :iso "H13")
		(:value 8 :tol_type :iso :iso "H13")
		(:value 4.6  :tol_type :upper_lower :lower_tol 0.0 :upper_tol 0.4)
		 )
		 (
		"K m 5"	
		5.5
		(          :tol_type :iso :iso "H13")
		(:value 10 :tol_type :iso :iso "H13")
		(:value 5.7 :tol_type :upper_lower :lower_tol 0.0 :upper_tol 0.4)
		 )
		 (
		"K m 6"	
		6.6
		(          :tol_type :iso :iso "H13")
		(:value 11 :tol_type :iso :iso "H13")
		(:value 6.8 :tol_type :upper_lower :lower_tol 0.0 :upper_tol 0.4)
		 )
		 (
		"K m 8"	
		9.0
		(          :tol_type :iso :iso "H13")
		(:value 15 :tol_type :iso :iso "H13")
		(:value 9  :tol_type :upper_lower :lower_tol 0.0 :upper_tol 0.4)
		 )
		 (
		"K m 10"	
		11
		(          :tol_type :iso :iso "H13")
		(:value 18 :tol_type :iso :iso "H13")
		(:value 11 :tol_type :upper_lower :lower_tol 0.0 :upper_tol 0.4)
		 )
 		 (
		"J m 4"	
		4.5
		(          :tol_type :iso :iso "H13")
		(:value 8  :tol_type :iso :iso "H13")
		(:value 3.4  :tol_type :upper_lower :lower_tol 0.0 :upper_tol 0.4)
		 )
		 (
		"J m 5"	
		5.5
		(          :tol_type :iso :iso "H13")
		(:value 10 :tol_type :iso :iso "H13")
		(:value 4.2 :tol_type :iso :iso "H13")
		 )
		 (
		"J m 6"	
		6.6
		(          :tol_type :iso :iso "H13")
		(:value 11 :tol_type :iso :iso "H13")
		(:value 4.8 :tol_type :upper_lower :lower_tol 0.0 :upper_tol 0.4)
		 )
		(
		"J m 8"	
		9.0
		(          :tol_type :iso :iso "H13")
		(:value 15 :tol_type :iso :iso "H13")
		(:value 6  :tol_type :upper_lower :lower_tol 0.0 :upper_tol 0.4)
		)
	        (
		"J m 10"	
		11
		(          :tol_type :iso :iso "H13")
		(:value 18 :tol_type :iso :iso "H13")
		(:value 7.5 :tol_type :upper_lower :lower_tol 0.0 :upper_tol 0.4)
		 )
        	 (
		"H m 3"	
		3.4
		(          :tol_type :iso :iso "H13")
		(:value 6 :tol_type :iso :iso "H13")
		(:value 2.4  :tol_type :upper_lower :lower_tol 0.0 :upper_tol 0.4)
		 )
		 (
		"H m 4"	
		4.5
		(          :tol_type :iso :iso "H13")
		(:value 8 :tol_type :iso :iso "H13")
		(:value 3.2  :tol_type :upper_lower :lower_tol 0.0 :upper_tol 0.4)
		 )
		 (
		"H m 5"	
		5.5
		(          :tol_type :iso :iso "H13")
		(:value 10 :tol_type :iso :iso "H13")
		(:value 4 :tol_type :upper_lower :lower_tol 0.0 :upper_tol 0.4)
		 )
		 (
		"H m 6"	
		6.6
		(          :tol_type :iso :iso "H13")
		(:value 11 :tol_type :iso :iso "H13")
		(:value 4.7 :tol_type :upper_lower :lower_tol 0.0 :upper_tol 0.4)
		 )
		(
		"H m 8"	
		9.0
		(          :tol_type :iso :iso "H13")
		(:value 15 :tol_type :iso :iso "H13")
		(:value 6  :tol_type :upper_lower :lower_tol 0.0 :upper_tol 0.4)
		)
	        (
		"H m 10"	
		11
		(          :tol_type :iso :iso "H13")
		(:value 18 :tol_type :iso :iso "H13")
		(:value 7 :tol_type :upper_lower :lower_tol 0.0 :upper_tol 0.4)
		 )
              )
)

(sd-create-display-table   "mach_adv_library-counterbored_throughhole-hole_dia-table"
   :tableTitle             "Senkungen"
   :logicalTable           "mach_adv_library-counterbored_throughhole-hole_dia-table"
   :columns                '(:description :hole_dia)
   :filterStatusLine       nil
   :applyColumns           '(:hole_dia)
   :applyColumns           '(:sink_dia_prop)
   :selectionMode          :single-row 
   :applyAction            :default-tokens
)


